#pragma once

#include "AppMenu.h"
#include "../PlayerCursor.h"

#include <stack>
#include <memory>
#include <SFML/Graphics.hpp>


class SettingsControlsAppMenu : public AppMenu {
    private:
        PlayerCursor playerCursor;

    public:
        SettingsControlsAppMenu(std::shared_ptr<MenuStack> menuStack, std::shared_ptr<Settings> settings, std::shared_ptr<sf::RenderWindow> renderWindow);

        void computeFrame() override;

        void drawFrame() const override;
};
